<?php
function smarty_function_MTTinyTuring($args, &$ctx) {
	require_once('tinyturing_lib.php');
	$cfg = tinyturing_config($ctx);
	if (!$cfg['enabled']) return '';
	tinyturing_start($args, $ctx);
	$word = tinyturing_word($args, $ctx);
	$field = tinyturing_field($args, $ctx);
	$hidden = tinyturing_hidden_field($args, $ctx);
	return <<<HTML
<style type="text/css">label.tinyturing { display:block; }label.tinyturing:first-letter {font-weight:bold;font-size:120%;}</style>
<label class="tinyturing">$word comment spam by typing the first letter of this sentence here:</label>
$field
$hidden
HTML;
}
?>